Stock

Sell more than just activities

Merchandise stock.

List Product Stock

get

This API returns all the stock items.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired

OAuth2 implementation.

Token URL:
Query parameters
stock_idstring[]Optional

[FILTER] on stock_id.

stock_product_idstring[]Optional

[FILTER] on stock_product_id.

include_disabledbooleanOptional

[FILTER] Include disabled / closed (stock_active:false) entries.

Default: falseExample: true
stock_modifiedstring · date-timeOptional

[FILTER] Only show entries modified after the given date.

Example: 2020-03-11T00:00:00
Header parameters
If-Modified-SincestringOptional

[CACHE] The If-Modified-Since request HTTP header makes the request conditional: the server will send back the requested resource, with a 200 status, only if it has been modified after the given date.

If the resource has not been modified since, the response will be a 304 without any body; the Last-Modified response header of a previous request will contain the date of last modification.

Note that if a single resource has changed, all records matching your request will be returned, not just those changed after the given date. This provides you with an efficient caching method.

Example: Wed, 21 Jan 2022 07:28:00 GMT
Responses
chevron-right
200

Product Stock Response

application/json
get
/products/stock

Update Product Stock

put

This API allows to update the stock for merchandise items.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired

OAuth2 implementation.

Token URL:
Path parameters
stock_idstringRequired

Identifier of the stock that is updated.

Example: 84534534
Query parameters
stock_items_availablestringRequired

Updated stock quantity.

Example: 50
Responses
chevron-right
200

Product Stock Response

application/json
put
/products/stock/{stock_id}

Last updated

Was this helpful?